PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::XMLUnexpectedElementException Struct Reference

Exceptions of this class are thrown when the type of XML element is different than expected. More...

`#include <plask/utils/xml/exceptions.hpp>`

Inheritance diagram for plask::XMLUnexpectedElementException:
[legend]
Collaboration diagram for plask::XMLUnexpectedElementException:
[legend]

## Public Member Functions
| XMLUnexpectedElementException (const XMLReader &reader, const std::string &what_is_expected)
| XMLUnexpectedElementException (const XMLReader &reader, const std::string &what_is_expected, const std::string &what_is_got)
Public Member Functions inherited from plask::XMLException
| XMLException (const XMLReader &reader, const std::string &msg)
| XMLException (const std::string &where, const std::string &msg, int line=-1)
| XMLException (const std::string &msg, int line=-1)

## Additional Inherited Members
Public Attributes inherited from plask::XMLException
const int | line

## Detailed Description

Exceptions of this class are thrown when the type of XML element is different than expected.

Definition at line 134 of file exceptions.hpp.

## Constructor & Destructor Documentation

## ◆ XMLUnexpectedElementException() [1/2]

plask::XMLUnexpectedElementException::XMLUnexpectedElementException | ( | const XMLReader & | reader,
|  | const std::string & | what_is_expected
| ) |  |

Parameters

  reader | current reader
  what_is_expected | what is expected (typically tag with name, etc.)

Definition at line 31 of file exceptions.cpp.

## ◆ XMLUnexpectedElementException() [2/2]

plask::XMLUnexpectedElementException::XMLUnexpectedElementException | ( | const XMLReader & | reader,
|  | const std::string & | what_is_expected,
|  | const std::string & | what_is_got
| ) |  |
| inline

Parameters

  reader | current reader
  what_is_expected | what is expected (typically tag with name, etc.)
  what_is_got | what is got (typically tag with name, etc.)

Definition at line 146 of file exceptions.hpp.

The documentation for this struct was generated from the following files:

- plask/utils/xml/exceptions.hpp
- plask/utils/xml/exceptions.cpp